import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import java.util.*;

public class Startup 
	extends MIDlet
	//Allows us to receive high-level Command action events
	implements CommandListener 
{
	Form basicForm;
	
	Command appendCommand;
	
	Random generator;
	
	/*
	 * Default constructor used by AMS to create an instance 
	 * of our main MIDlet class.
	 */
	public Startup()
	{
		//Print message to console when Startup is constructed
		System.out.println("Constructor: Startup()");
	}
	
	/*
	 * startApp() is called by the AMS after it has successfully created
	 * an instance of our MIDlet class. startApp() causes our MIDlet to
	 * go into a "Active" state. 
	 */
	protected void startApp() 
		throws MIDletStateChangeException
	{
		//Print message to console when startApp() is called
		System.out.println("startApp()");
		
		//create and seed a new Random generator with the current time.
		generator = new Random( System.currentTimeMillis() );
		
		//get the display for this MIDlet
		Display display = Display.getDisplay( this );
		
		//create a new Form with the title "Form Title"
		basicForm = new Form("Form Title");
		
		//append the string "My basic Form" to the new Form
		basicForm.append("My basic Form");
		
		//Create a new Command to catch user input
		appendCommand = new Command("Random", Command.SCREEN, 0 );
		
		//adds the appendCommand to the basicForm
		basicForm.addCommand( appendCommand );
		
		//set the Forms CommandListener to this instance. so all Command
		//events are passed to us.
		basicForm.setCommandListener( this );
		
		// set the current Displayable to the new Form
		display.setCurrent( basicForm );
	}
	

	/* 
	 * Callback method for the CommandListener, notifies us of Command action events
	 */
	public void commandAction( Command c, Displayable d )
	{
		//check if the commandAction event is triggerd by our appendCommand 
		if( c == appendCommand )
		{
			//append a String to the form with a random number between 0 and 50.
			basicForm.append("Random: " + ( Math.abs( generator.nextInt() ) %50 ) + "\n");
		}
	}
	
	/*
	* destroyApp() is called by the AMS when the MIDlet is to be destroyed
	*/
	protected void destroyApp( boolean unconditional ) 
		throws MIDletStateChangeException
	{

	}
	
	/*
	* pauseApp() is called by the AMS when the MIDlet should enter a paused 
	* state. This is not a typical "game" pause, but rater an environment pause.
	* The most common example is an incoming phone call on the device, 
	* which will cause the pauseApp() method to be called. This allows
	* us to perform the needed actions within our MIDlet
	*/
	protected void pauseApp()
	{
	}
}
