import javax.microedition.lcdui.*;

public class GameScreen 
	extends Canvas
{
	int colour;
	
	//Default constructor for our GameScreen class.
	public GameScreen()
	{
		
	}
	
	/* 
	 * called when the Canvas is to be painted
	 */
	protected void paint( Graphics g )
	{
		//set the current color of the Graphics contect to the specified RRGGBB colour
		g.setColor( colour );
		//draw a filled rectangle at x,y coordinates 0, 0 with a width
		// and height equal to that of the Canvas itself
		g.fillRect( 0, 0, this.getWidth(), this.getHeight() );		
	}
	
	/* 
	* called when a key is pressed and this Canvas is the
	* current Displayable 
	*/
	protected void keyPressed( int keyCode )
	{
		//get the game action from the passed keyCode
		int gameAction = getGameAction( keyCode );
		switch( gameAction )
		{
			case LEFT:
			//set current colour to red
			colour = 0xFF0000; 
			break;
			
			case RIGHT:
			//set current colour to green
			colour = 0x00FF00;
			break;
			
			case UP:
			//set current colour to black
			colour = 0x000000;
			break;
			
			case DOWN:
			//set current colour to white
			colour = 0xFFFFFF;
			break;
			
			case FIRE:
			//set current colour to blue
			colour = 0x0000FF;
			break;
		}
		//schedule a repaint of the Canvas after each key press as
		//currently do not have any main game loop to do this for us.
		repaint();
	}

	/* 
	* called when a key is released  and this Canvas is the
	* current Displayable 
	*/
	protected void keyReleased( int keyCode )
	{
	}
}
